<?php
   $target='nombre';
   include("funciones/funciones_backup.php");   
   include("conexion/conexion.php");
   include("Menu/menu_inicio.php");  
   include("Zonas/depto.php"); 

   $nombrepagina = "CREACION DE DEPARTAMENTOS";
   encabezado($target);
   $user=$_SESSION['validar'];
   $filas=1;   
      if($filas == 1){ 
	 	 class llamado{
	 		var $menuObj;
	      	function validar1($id_user,$id_sucursal){
	 			$this->menuObj=new menu_inicio();
				$this->menuObj->menu2($id_user,$id_sucursal);
	  	  	}
	 	}
	 	$llamadoObj=new llamado();
	 	$llamadoObj->validar1($_GET['id_user'],$_GET['suc']);
	 	entrada($user,$_GET['id_user'],$_GET['suc']);
	 	echo"</td>";	 
	 	echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
		mostrar_cabeza_trabajo($nombrepagina);	 
?>
<CENTER>
<form action="" method="POST" name="backup">
<table width="300" border="0" class="primaria">
<tr class=miTable_tr>
<td colspan="2" class=miTable_th1><div align="center">..:: Creacion Departamentos ::..</div></td>
</tr>
<tr class="miTable_tr">
  <td valign=top height="24" class=miTable_td2>Codigo:</td>
  <td valign=top height="24" class="miTable_td"><input name="cod_depto" type="text" class="inputbox" id="cod_depto" size="25"></td>
</tr>
<tr class="miTable_tr">
<td width="180" valign=top height="24" class=miTable_td2>
Nombre:</td>
<td width="150" valign=top height="24" class="miTable_td">
<input type="text" name="nombre" class="inputbox" size="25"></td>
</tr>
<tr class=miTable_tr>
<td class=miTable_th1 colspan="2">
<div align="center">
<input type="submit" name="Registrar" value="Registrar" class="inputbox">
</div></td>
</tr>
</table>
</form>
</CENTER>
<?
 if(!isset($Registrar)){

 }else{
	
  class crearCiudad{
	var $crearObj;
	var $conexionObj;
	var $estado;
	function setCrear($nombre,$cod_depto){
	  	  $id_user=$_GET['id_user'];
		  $id_suc=$_GET['suc'];
	  	  if($nombre=='' and $cod_depto==''){
			 $msgBOX2 = "Algunos Campos Requeridos Estan Vacios.";
	  		 echo "<script>
				alert('$msgBOX2');
				setTimeout(location.href='crear_depto.php?id_user=$id_user&suc=$id_suc', 100);
	            </script>";
		  }else{
			 $this->crearObj=new departamentos();
			 $this->crearObj->setNombre($nombre);
			 $this->crearObj->setCod_depto($cod_depto);
		  }
	}
	function getCrear(){
		return $this->crearObj;
	}
	function validar(){
		$this->conexionObj= new conexion();
		$this->conexionObj->conectarse();
		$rst_validar=$this->conexionObj->consultar("SELECT * FROM departamentos WHERE nombre='".$this->crearObj->getNombre()."'");
		if(mysql_num_rows($rst_validar)>=1){
		   $msgBOX2 = "Departamento Existe en Sistema.";
	  	   echo "<script>
	       	  alert('$msgBOX2');
	    		</script>";
		}else{
		   $nombre=$this->crearObj->getNombre();
		   $cod_depto=$this->crearObj->getCod_depto();
		   $this->insertarDatos($nombre,$cod_depto);
		}
	}
	function insertarDatos($nombre,$cod_depto){
	 	$rst_insertar=$this->conexionObj->modificar("INSERT INTO departamentos VALUES ('0','".$nombre."','".$cod_depto."')");
		$affected_rows=mysql_affected_rows();
		if($affected_rows>=1){
			$msgBOX2 = "Departamentos Creada Exitosamente.";
	  		echo "<script>
	            alert('$msgBOX2');
	  		  	</script>";
		}else{
			$msgBOX2 = "Departamentos No Pudo ser Creada.";
	  		echo "<script>
	            alert('$msgBOX2');
	  		  	</script>";
		}
	}
}// FIN DE LA CLASE CREARUSUARIO
// CREACION DEL OBJETO
$crearCiudadObj=new crearCiudad();
// CONFIGURANDO LAS PROPIEDADES DEL OBJETO
$crearCiudadObj->setCrear($_POST['nombre'],$_POST['cod_depto']);
// LAMANDO EL METODO DE NEGOCIO
$crearCiudadObj->validar();
}

mostrar_pie();
} 
	echo"</td>";
	echo"</tr>";   
	echo"</table>";     
	echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
	echo"<tbody><tr>";
	echo"<td></td>";
	echo"</tr>";
	echo"<tr>";
	echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
	echo"</tr>";
	echo"<tr>";
?>
<td>
<center>
<?
        pie_de_pagina();
        ?>
</center>
</td>
<?php
	echo"</tr>";
	echo"</tbody></table>";
	echo"</center>";
	echo"</body>";
	echo"</html>";
?>